Package fr.gouv.vitam.worker.core.plugin.purge

# Class PurgeDeleteService

java.lang.Object
fr.gouv.vitam.worker.core.plugin.purge.CommonPurgeDeleteService
fr.gouv.vitam.worker.core.plugin.purge.PurgeDeleteService

public class PurgeDeleteService extends CommonPurgeDeleteService
PurgeDeleteService class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PurgeDeleteService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteObjectGroups(List<PurgeObjectGroupParams> objectGroupParams, HandlerIO handler)`
  `void`
  `deleteObjects(List<PurgeObjectGroupParams> objectGroupParams, HandlerIO handler)`
  `void`
  `deleteUnits(Map<String,String> unitsGuidsWithStrategies, HandlerIO handler)`
  `void`
  `detachObjectGroupFromDeleteParentUnits(String objectGroupId, Set<String> parentUnitsToRemove, HandlerIO handler)`
  `void`
  `storageDeleteBinaries(List<PurgeObjectGroupParams> objectGroupParams, DataCategory dataCategory, String fileExtension, HandlerIO handler)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.purge.CommonPurgeDeleteService

  `deleteUnits`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PurgeDeleteService

    public PurgeDeleteService()

- ## Method Details

  - ### deleteObjects

    public void deleteObjects(List<PurgeObjectGroupParams> objectGroupParams, HandlerIO handler) throws ProcessingStatusException
    Overrides:
      `deleteObjects` in class `CommonPurgeDeleteService`
    Throws:
      `ProcessingStatusException`

  - ### deleteObjectGroups

    public void deleteObjectGroups(List<PurgeObjectGroupParams> objectGroupParams, HandlerIO handler) throws InvalidParseOperationException, MetaDataExecutionException, MetaDataClientServerException, StorageServerClientException, LogbookClientBadRequestException, LogbookClientServerException
    Specified by:
      `deleteObjectGroups` in class `CommonPurgeDeleteService`
    Throws:
      `InvalidParseOperationException`
      `MetaDataExecutionException`
      `MetaDataClientServerException`
      `StorageServerClientException`
      `LogbookClientBadRequestException`
      `LogbookClientServerException`

  - ### deleteUnits

    public void deleteUnits(Map<String,String> unitsGuidsWithStrategies, HandlerIO handler) throws MetaDataExecutionException, MetaDataClientServerException, StorageServerClientException, LogbookClientBadRequestException, LogbookClientServerException
    Throws:
      `MetaDataExecutionException`
      `MetaDataClientServerException`
      `StorageServerClientException`
      `LogbookClientBadRequestException`
      `LogbookClientServerException`

  - ### storageDeleteBinaries

    public void storageDeleteBinaries(List<PurgeObjectGroupParams> objectGroupParams, DataCategory dataCategory, String fileExtension, HandlerIO handler) throws StorageServerClientException
    Specified by:
      `storageDeleteBinaries` in class `CommonPurgeDeleteService`
    Throws:
      `StorageServerClientException`

  - ### detachObjectGroupFromDeleteParentUnits

    public void detachObjectGroupFromDeleteParentUnits(String objectGroupId, Set<String> parentUnitsToRemove, HandlerIO handler) throws ProcessingStatusException
    Overrides:
      `detachObjectGroupFromDeleteParentUnits` in class `CommonPurgeDeleteService`
    Throws:
      `ProcessingStatusException`